Bug 205910 - gnome-settings-daemon wakes up for every keypress
Summary: gnome-settings-daemon wakes up for every keypress
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: wakeup
TreeView+ depends on / blocked
 
Reported: 2006-09-10 02:13 UTC by Matthias Clasen
Modified: 2010-03-24 19:37 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-17 13:41:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthias Clasen 2006-09-10 02:13:54 UTC
It probably has the same problem gtk had a while ago, it selects for some 
xkb events, without making sure to unselect all the others:

Comment 1 Matthias Clasen 2006-09-21 18:55:28 UTC
Not going to happen for FC6, will be done upstream.

Comment 2 Bastien Nocera 2007-02-16 17:08:57 UTC
There's a lot of gdk_window_add_filter users in g-s-d.

$ grep -r gdk_window_add_filter *.c | wc -l
9

What needs to be done exactly to solve this problem?

Comment 3 Bastien Nocera 2007-08-10 10:14:06 UTC
We'd need to use XkbSelectEvents, but there's only one "filter" per process, so
we'd need to split out (or merge) the different bits of g-s-d that require key
press filtering (and there's quite a few):

$ grep gdk_window_add_filter *.c
gnome-settings-accessibility-keyboard.c:        gdk_window_add_filter (NULL,
cb_xkb_event_filter, NULL);
gnome-settings-clipboard.c:             gdk_window_add_filter (gdkwin,
clipboard_manager_event_filter, NULL);
gnome-settings-daemon.c:                gdk_window_add_filter (
gnome-settings-keybindings.c:      gdk_window_add_filter
(gdk_screen_get_root_window (screen),
gnome-settings-keyboard.c:      gdk_window_add_filter (NULL,
gnome-settings-keyboard-xkb.c:          gdk_window_add_filter (NULL, (GdkFilterFunc)
gnome-settings-mouse.c:                                 gdk_window_add_filter
(gdk_screen_get_root_window (screen),
gnome-settings-multimedia-keys.c:               gdk_window_add_filter
(gdk_screen_get_root_window (l->data),


Comment 4 Sergey V. Udaltsov 2007-08-10 10:24:30 UTC
IMHO "merging" would look more logical. We just need some ... internal "micro
API" for dealing with these multiple filters. Unfortunately
XkbSelectEvents/XkbSelectEventDetails do not have "get current mask" functions
so g-s-d would have to keep track of these masks itself...

Comment 5 Bug Zapper 2008-04-03 18:12:13 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 6 Bug Zapper 2008-05-07 00:50:17 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Comment 7 Bug Zapper 2008-05-14 02:20:38 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 William Lovaton 2009-06-15 13:20:15 UTC
Is this still a problem?? how can I verify that g-s-d is waking up with every key press? I don't really know how to do that.

Comment 9 Matthias Clasen 2009-06-15 15:15:22 UTC
by straceing it

Comment 10 Bug Zapper 2009-11-18 08:08:07 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bastien Nocera 2010-02-17 13:41:22 UTC
Filed upstream:
https://bugzilla.gnome.org/show_bug.cgi?id=610262


Note You need to log in before you can comment on or make changes to this bug.